org.apache.hadoop.util

## Interface LightWeightCache.Entry

- All Superinterfaces:
    LightWeightGSet.LinkedElement
  All Known Implementing Classes:
    RetryCache.CacheEntry, RetryCache.CacheEntryWithPayload
  Enclosing class:
    org.apache.hadoop.util.LightWeightCache<K,E extends K>

      public static interface LightWeightCache.Entry
      extends LightWeightGSet.LinkedElement

  Entries of `LightWeightCache`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getExpirationTime()` Get the expiration time.
    `void` | `setExpirationTime(long timeNano)` Set the expiration time.

    - ### Methods inherited from interface org.apache.hadoop.util.LightWeightGSet.LinkedElement

      `getNext, setNext`

- - ### Method Detail

    - #### setExpirationTime

          void setExpirationTime(long timeNano)

      Set the expiration time.

    - #### getExpirationTime

          long getExpirationTime()

      Get the expiration time.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.